> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Merchant Account

> Update a merchant account.



## OpenAPI

````yaml put /billing/merchant_accounts/{merchant_account_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/merchant_accounts/{merchant_account_id}:
    put:
      tags:
        - provider
        - billing
      summary: Update Merchant Account
      description: Update a merchant account.
      operationId: >-
        update_merchant_account_billing_merchant_accounts__merchant_account_id__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MerchantAccountUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantAccount'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MerchantAccountUpdate:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the merchant account
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Friendly name for the merchant account
        isDefault:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isdefault
          description: Whether the merchant account is the default
        locationIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Locationids
          description: The location IDs to associate with the merchant account
      type: object
      required:
        - id
      title: MerchantAccountUpdate
      description: Update merchant account information.
    MerchantAccount:
      properties:
        id:
          type: string
          title: Id
          description: The rainforest merchant account ID
        name:
          type: string
          title: Name
          description: Friendly name for the merchant account
        isDefault:
          type: boolean
          title: Isdefault
          description: Whether this is the default merchant account for the tenant
        cardProcessingFee:
          type: number
          title: Cardprocessingfee
          description: Card processing fee
        perTransactionFee:
          type: integer
          title: Pertransactionfee
          description: Per transaction fee
        inPersonCardProcessingFee:
          type: number
          title: Inpersoncardprocessingfee
          description: In-person card processing fee
        inPersonPerTransactionFee:
          type: integer
          title: Inpersonpertransactionfee
          description: In-person per transaction fee
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time the merchant account was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: The date and time the merchant account was last updated
        locations:
          anyOf:
            - items:
                $ref: '#/components/schemas/LocationSummary'
              type: array
            - type: 'null'
          title: Locations
          description: The locations associated with the merchant account
      type: object
      required:
        - id
        - name
        - isDefault
        - cardProcessingFee
        - perTransactionFee
        - inPersonCardProcessingFee
        - inPersonPerTransactionFee
        - createdDate
      title: MerchantAccount
      description: Basic merchant account information.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LocationSummary:
      properties:
        id:
          type: string
          title: Id
        isVirtual:
          type: boolean
          title: Isvirtual
        name:
          type: string
          title: Name
        addressLineOne:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslineone
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        spakinectLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Spakinectlocationid
      type: object
      required:
        - id
        - isVirtual
        - name
      title: LocationSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````